@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/icg/bin/perl
#line 15
# ABSTRACT: run dns-o!
use strict;
use warnings;
use lib 'lib'; # XXX: temporary for now -- rjbs, 2009-01-30

use DNS::Oterica::App;
use File::Find::Rule;
use YAML::XS ();

my $root = $ARGV[0] || 'etc';
my $app = DNS::Oterica::App->new({ root => $root });

$app->hub->add_location($_) for (
  { name => 'quonix',      code => '',    network => '208.72.237.0/24', delegated => 1 },
  { name => 'sd',          code => '',    network => '64.74.157.0/25'  },
  { name => 'quonix-dmz',  code => 'qx',  network => '192.168.10.0/24' },
  { name => 'office',      code => ''   },
);

$app->populate_domains;
$app->populate_hosts;

my @nodes = sort { $a->fqdn cmp $b->fqdn } $app->hub->nodes;

print $_->as_data_lines for @nodes;
print "\n";
print $_->as_data_lines, "\n" for $app->hub->node_families;

__END__
:endofperl
